--
-- Fliegl Lowbody
-- Fliegl Tieflader
--
--
-- @author  Aranea
-- @date  /11/2016
--
-- Copyright (C) Aranea, All Rights Reserved.
--

LowbodyAddon = {};

function LowbodyAddon.prerequisitesPresent(specializations)
    return true;
end;

function LowbodyAddon:load(savegame)
	self.needsLowbodyAddon = true;
end;

function LowbodyAddon:postLoad(savegame)
	if self.needsLowbodyAddon then
		self.coverPosDirectionText = Utils.getNoNil(getXMLString(self.xmlFile, "vehicle.cover#posDirectionText"), "action_openCover");
		self.coverNegDirectionText = Utils.getNoNil(getXMLString(self.xmlFile, "vehicle.cover#negDirectionText"), "action_closeCover");
	end;
end;

function LowbodyAddon:delete()
end;

function LowbodyAddon:readStream(streamId, connection)
end;

function LowbodyAddon:writeStream(streamId, connection)
end

function LowbodyAddon:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LowbodyAddon:keyEvent(unicode, sym, modifier, isDown)
end;

function LowbodyAddon:update(dt)
end;

function LowbodyAddon:updateTick(dt)
end;

function LowbodyAddon:draw()
end;

oldCoverDraw = Cover.draw
Cover.draw = function(self)
	if self.needsLowbodyAddon then
		if self.isClient and self:getIsActiveForInput(true) then
			if self.coverAnimation ~= nil and self:getIsToggleCoverAllowed(not self.isCoverOpen) then
				if self.isCoverOpen then
					g_currentMission:addHelpButtonText(g_i18n:getText(self.coverNegDirectionText), InputBinding.TOGGLE_COVER, nil, GS_PRIO_NORMAL);
				else
					g_currentMission:addHelpButtonText(g_i18n:getText(self.coverPosDirectionText), InputBinding.TOGGLE_COVER, nil, GS_PRIO_NORMAL);
				end;
			end;
		end;
	else
		oldCoverDraw(self);
	end;
end;
